/**Begin C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_SCORE' AND KSQL_COL_NAME IN ('FSRCENTRYID')) 
 ALTER TABLE T_SRC_SCORE ADD (FSRCENTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_COMPARESUM' AND KSQL_COL_NAME IN ('FPURLISTID0')) 
 ALTER TABLE T_SRC_COMPARESUM ADD (FPURLISTID0 BIGINT DEFAULT 0 NOT NULL );
 EXEC p_AlterColumn 'T_SRC_PROJECT_O', 'FVIEPATTERN', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';

 EXEC p_AlterColumn 'T_SRC_PROJECT_O', 'FISREGIONCONTROL', 'CHAR(1)', 'NOT NULL', '0001', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_INVITESUPPLIER_TEMP' AND KSQL_COL_NAME IN ('FISSELECT')) 
 ALTER TABLE T_SRC_INVITESUPPLIER_TEMP ADD (FISSELECT CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APTITUDECONFIG' AND KSQL_COL_NAME IN ('FSUMSCORE')) 
 ALTER TABLE T_SRC_APTITUDECONFIG ADD (FSUMSCORE DECIMAL(19,2) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_APTITUDECONFIG' AND KSQL_COL_NAME IN ('FISCHANGED')) 
 ALTER TABLE T_SRC_APTITUDECONFIG ADD (FISCHANGED CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_PROJECT_EXT' AND KSQL_COL_NAME IN ('FNODENAME')) 
 ALTER TABLE T_SRC_PROJECT_EXT ADD (FNODENAME NVARCHAR(50) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SRC_BIDASSESSLOG' AND KSQL_COL_NAME IN ('FREMARK')) 
 ALTER TABLE T_SRC_BIDASSESSLOG ADD (FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL );

/**End C:\PDM_UPGRADE\PDM1\SRC_table.sql **/
